{
    "manifest_version": 3,
    "name": "AutistMask",
    "version": "0.1.0",
    "description": "Minimal Ethereum wallet for Chrome",
    "permissions": ["storage", "activeTab"],
    "host_permissions": ["<all_urls>"],
    "action": {
        "default_popup": "src/popup/index.html"
    },
    "background": {
        "service_worker": "src/background/index.js"
    },
    "content_scripts": [
        {
            "matches": ["<all_urls>"],
            "js": ["src/content/inpage.js"],
            "run_at": "document_start",
            "world": "MAIN"
        },
        {
            "matches": ["<all_urls>"],
            "js": ["src/content/index.js"],
            "run_at": "document_start"
        }
    ],
    "web_accessible_resources": [
        {
            "resources": ["src/content/inpage.js"],
            "matches": ["<all_urls>"]
        }
    ]
}
